<div class="contact">
    <div class="contact-inner">
        <div class="select-chains">
            <div class="left">
                <p class="text-18">Select Chains:</p>
                <!-- <p class="text-18">{{chainId}}</p> -->
                <button class="create" (click)="createItem()">Create</button>
                <button class="create" (click)="createPool()">Create Pool</button>
                <button class="create" (click)="createINO()">Create INO</button>
            </div>
            <div class="search">
                <img src="../../../assets/images/icons/ic_search.svg" alt="">
                <input class="" type="text" placeholder="Search address pool" #textAddress
                    (keyup)="search(textAddress.value)">
            </div>
        </div>
        <ng-container *ngIf="!isShowForm">
            <ng-container *ngFor="let item of dataPoolView; let i = index">
                <div class="list-item" *ngIf="!item?.un_active">

                    <ul class="left">
                        <li>
                            <p class="text-14 ">{{"ADMIN.ADDRESS" }}: </p>
                            <p class="text-14">{{item.pool_address}}</p>
                        </li>
                        <li>
                            <p class="text-14">{{"ADMIN.IMAGE" }}: </p>
                            <p class="text-14">{{item.img}}</p>
                        </li>
                        <li>
                            <p class="text-14">{{"Url Image Pools" }}: </p>
                            <p class="text-14">{{item?.img_list_pool}}</p>
                        </li>
                        <li>
                            <p class="text-14">{{"ADMIN.AMOUNT" }}: </p>
                            <p class="text-14">{{item.amount | number}}</p>
                        </li>
                        <li>
                            <p class="text-14">{{"ADMIN.URL" }}: </p>
                            <p class="text-14">{{item.url}}</p>
                        </li>
                        <li>
                            <p class="text-14">{{"ADMIN.HIDE_POOL_ADDRESS" }}: </p>
                            <p class="text-14">{{item.isHiden}}</p>
                        </li>
                        <li>
                            <p class="text-14">{{"Description" }}: </p>
                            <p class="text-14">{{item.des}}</p>
                        </li>
                        <li>
                            <p class="text-14">{{"URL Youtube" }}: </p>
                            <p class="text-14">{{item.url_youtube}}</p>
                        </li>
                    </ul>
                    <div class="right">
                        <div class="btn" (click)="deleteItem(i)">{{"ADMIN.DELETE" }}</div>
                        <div class="btn" (click)="editItem(i)">{{"ADMIN.EDIT" }}</div>
                    </div>
                </div>
            </ng-container>
            <!-- <app-panigation [pageSize]="panigation.pageSize" [totalPage]="panigation.totalPage"
                [currentPage]="panigation.currentPage" (outputPage)="loadPage($event)">
            </app-panigation> -->
        </ng-container>
        <div class="form-group" [formGroup]="formAddress" *ngIf="isShowForm">
            <div class="group-input">
                <div class="item">
                    <div class="label">
                        {{"ADMIN.ADDRESS" }}
                    </div>
                    <div class="input">
                        <input class="value" type="text" formControlName="pool_address">
                        <label class="error" *ngIf="formErrors?.pool_address">{{formErrors.pool_address }}</label>
                    </div>
                </div>
                <div class="item">
                    <div class="label">
                        {{"ADMIN.IMAGE" }}
                    </div>
                    <div class="input">
                        <input class="value" type="text" formControlName="img">
                        <label class="error" *ngIf="formErrors?.img">{{formErrors.img }}</label>
                    </div>
                </div>
                <div class="item">
                    <div class="label">
                        {{"Url Image Pools" }}
                    </div>
                    <div class="input">
                        <input class="value" type="text" formControlName="img_list_pool">
                        <label class="error" *ngIf="formErrors?.img">{{formErrors.img_list_pool }}</label>
                    </div>
                </div>
                <div class="item">
                    <div class="label">
                        {{"ADMIN.AMOUNT" }}
                    </div>
                    <div class="input ">
                        <input class="value" type="number" formControlName="amount">
                        <label class="error" *ngIf="formErrors?.amount">{{formErrors.amount }}</label>
                    </div>
                </div>
                <div class="item">
                    <div class="label">
                        {{"ADMIN.HIDE_POOL_ADDRESS" }}
                    </div>
                    <div class="input">
                        <input class="value ip-checkbox" type="checkbox" formControlName="isHiden">
                    </div>
                </div>
                <div class="item">
                    <div class="label">
                        {{"ADMIN.URL" }}
                    </div>
                    <div class="input">
                        <input class="value" type="url" formControlName="url">
                        <label class="error" *ngIf="formErrors?.url">{{formErrors.url }}</label>
                    </div>
                </div>
                <div class="item">
                    <div class="label">
                        {{"Description" }}
                    </div>
                    <div class="input">
                        <textarea class="value des" formControlName="des"></textarea>
                    </div>
                </div>
                <div class="item">
                    <div class="label">
                        {{"URL Youtube" }}
                    </div>
                    <div class="input">
                        <textarea class="value des" formControlName="url_youtube"></textarea>
                    </div>
                </div>

                <div class="btn" (click)="cancel()">{{"ADMIN.CANCEL" }}</div>
                <div class="btn" *ngIf="typeButton == 1" (click)="add()">{{"ADMIN.ADD" }}</div>
                <div class="btn" *ngIf="typeButton == 2" (click)="add()">{{"ADMIN.UPDATE" }}</div>
            </div>
        </div>
        <div class="popup" *ngIf="isShowPopup">
            <div class="container">
                <p class="title">{{popup.title}}</p>
                <div>
                    <button (click)="closePopup()">close</button>
                    <button (click)="savePopup(popup.type)">Save</button>
                </div>
            </div>
        </div>
    </div>
</div>
